# Uses of Interface
com.sun.source.doctree.ErroneousTree

Packages that use ErroneousTree
Package
Description
com.sun.source.doctree
Provides interfaces to represent documentation comments as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of ErroneousTree in com.sun.source.doctree

Methods in com.sun.source.doctree with parameters of type ErroneousTree
Modifier and Type
Method
Description
`R`
DocTreeVisitor.`visitErroneous(ErroneousTree node, P p)`
Visits an `ErroneousTree` node.

## Uses of ErroneousTree in com.sun.source.util

Methods in com.sun.source.util that return ErroneousTree
Modifier and Type
Method
Description
`ErroneousTree`
DocTreeFactory.`newErroneousTree(String text, Diagnostic<JavaFileObject> diag)`
Creates a new `ErroneousTree` object, to represent some unparseable input.
Methods in com.sun.source.util with parameters of type ErroneousTree
Modifier and Type
Method
Description
`R`
DocTreeScanner.`visitErroneous(ErroneousTree node, P p)`
Visits an `ErroneousTree` node.
`R`
SimpleDocTreeVisitor.`visitErroneous(ErroneousTree node, P p)`
Visits an `ErroneousTree` node.